[22722] trunk/base/portmgr/IndexRegen.sh
source_changes at macosforge.org
source_changes at macosforge.org
Mon Mar 12 17:03:55 PDT 2007
Revision: 22722
http://trac.macosforge.org/projects/macports/changeset/22722
Author: jmpp at macports.org
Date: 2007-03-12 17:03:55 -0700 (Mon, 12 Mar 2007)
Log Message:
-----------
Merging r22688 & r22689 from the release_1_4 branch: updates to the IndexRegen.sh script.
Modified Paths:
--------------
trunk/base/portmgr/IndexRegen.sh
Modified: trunk/base/portmgr/IndexRegen.sh
===================================================================
--- trunk/base/portmgr/IndexRegen.sh 2007-03-12 23:44:39 UTC (rev 22721)
+++ trunk/base/portmgr/IndexRegen.sh 2007-03-13 00:03:55 UTC (rev 22722)
@@ -21,7 +21,8 @@
SPAM_LOVERS=macports-mgr at lists.macosforge.org,dluke at geeklair.net
# Other settings (probably don't need to be changed).
-SVN_URL=http://svn.macports.org/repository/macports/trunk/
+SVN_DPORTS_URL=http://svn.macports.org/repository/macports/trunk/dports
+SVN_BASE_URL=http://svn.macports.org/repository/macports/branches/release_1_4
SVN_CONFIG_DIR=${ROOT}/svnconfig
# Where to checkout the source code. This gets created.
TREE=${ROOT}/source
@@ -48,14 +49,23 @@
fi
# checkout if required, update otherwise.
-if [ ! -d ${TREE} ]; then
+if [ ! -d ${TREE}/dports ]; then
{ echo "SVN update failed, please check out a copy of DP into ${TREE}" >> $FAILURE_LOG ; FAILED=1 ; }
else
- cd ${TREE} && \
+ cd ${TREE}/dports && \
svn -q --non-interactive --config-dir $SVN_CONFIG_DIR update > $FAILURE_LOG 2>&1 \
|| { echo "SVN update failed" >> $FAILURE_LOG ; FAILED=1 ; }
fi
+if [ ! -d ${TREE}/base ]; then
+ { echo "SVN update failed, please check out a copy of DP into ${TREE}" >> $FAILURE_LOG ; FAILED=1 ; }
+else
+ cd ${TREE}/base && \
+ svn -q --non-interactive --config-dir $SVN_CONFIG_DIR update > $FAILURE_LOG 2>&1 \
+ || { echo "SVN update failed" >> $FAILURE_LOG ; FAILED=1 ; }
+fi
+
+
# (re)configure.
if [ $FAILED -eq 0 ]; then
cd ${TREE}/base/ && \
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/macports-changes/attachments/20070312/96ca7d65/attachment.html
More information about the macports-changes
mailing list